Subject: Re: bug#63726: time-machine without options does not get the latest commit

From: Ludovic Courtès <[email-masked]>
Date: Thu, 25 May 2023 23:03:54 +0200

Hi,

Simon Tournier <[email-masked]> skribis:

> Now, what I am missing.  The manual says:
>
>        As for ‘guix pull’, the absence of any options means that the latest
>     commit on the master branch will be used.  The command
>
>          guix time-machine -- build hello
>
>        will thus build the package ‘hello’ as defined in the master branch,
>     which is in general a newer revision of Guix than you have installed.
>     Time travel works in both directions!
>
> and I get:
>
> $ guix time-machine -- describe
>   guix e499cb2
>     repository URL: https://git.savannah.gnu.org/git/guix.git
>     commit: e499cb2c12d7f1c6d2f004364c9cc7bdb7e38cd5
>
>
> But I do not understand from where this commit hash is coming from.  And
> please note that this commit seems coming from my previous experiments
> reported in #63667 [1].
>
> Well, the last commit seems a9cde26133b,

I had to check the code, but ‘guix time-machine’ follows the same logic
as ‘guix pull’: it reads ~/.config/guix/channels.scm, and so on (that’s
the ‘channel-list’ procedure).

I must say I’m surprised, but it’s always been this way.

Should we fix the doc or should we fix the code?…

Ludo’.